package com.usky.system.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.system.domain.HceReview;
import com.usky.common.mybatis.core.CrudService;
import com.usky.system.service.vo.HceReviewRequestVO;
import com.usky.system.service.vo.HceReviewScoreVO;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 帮助中心建议反馈表 服务类
 * </p>
 *
 * @author han
 * @since 2024-08-07
 */
public interface HceReviewService extends CrudService<HceReview> {
    void add(HceReview hceReview);

    void edit(HceReview hceReview);

    void remove(Integer id);

    CommonPage<HceReview> page(HceReviewRequestVO requestVO);

    void score(HceReviewScoreVO scoreVO);
}
